import { Component, h, Host, State } from '@stencil/core';
export class UiContainer {
  constructor() {
    this.isAppInitialised = false;
  }
  componentDidLoad() {
    this.isAppInitialised = true;
  }
  render() {
    return (h(Host, { class: {
        'slide-fwd-center': true,
        'd-none': !this.isAppInitialised,
        'd-block': this.isAppInitialised
      } },
      h("slot", null)));
  }
  static get is() { return "ap-ben-ui-container"; }
  static get originalStyleUrls() { return {
    "$": ["ui-container.scss"]
  }; }
  static get styleUrls() { return {
    "$": ["ui-container.css"]
  }; }
  static get states() { return {
    "isAppInitialised": {}
  }; }
}
